Macro admin API Resource

Abstract class for REST webservices

POST /admin/macro

Add macro to database

Try it out!

Request Body
media type data type description
application/json HdcMacroInputTO (JSON)

Example of request:

{"macroName":"55","perspectiveSetId":"9","targetClassId":"104","targetFieldName":"fi2prop_id"}
Response Body
media type data type description
application/json HdcSuccessWithIds (JSON) JSON Response with the specified object properties. Properties are in format {propertyName, "fieldName":propertyName}.

Example of response:

{"list":[{"id":1,"macroName":"55","perspectiveSetId":9,"targetClassId":104,"targetFieldName":"fi2prop_id"}],"success":true}

DELETE /admin/macro/{macroId}

Delete macro from database

Try it out!

Request Parameters
name type description default constraints
macroId path of macro to be deleted   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) success: true/false

PUT /admin/macro/{macroId}

update macro in database

Try it out!

Request Parameters
name type description default constraints
macroId path of macro to be updated   long
Request Body
media type data type description
application/json HdcMacroTO (JSON)

Example of request:

{"id":1,"macroName":"55","perspectiveSetId":"9","targetClassId":"104","targetFieldName":"fi2prop_id"} *
Response Body
media type data type description
application/json HdcSuccessTO (JSON) success: true/false